tt_message_accept(library call)

NAME
tt_message_accept — declare that the process has been initialized and can accept messages

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_message_accept(
Tt_message m);

DESCRIPTION

The tt_message_accept function declares that the process has been initialized and can accept messages.

The ToolTalk service invokes this function for start messages.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_accept function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_UNIMP
    The ToolTalk function called is not implemented.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

TT_ERR_STATE
    The message is a TT_REQUEST or TT_OFFER in a final state.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).